* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-image: url('./Natlan.png');
    /* darken bg image only */
    background-color: grey;
    background-blend-mode: multiply;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    backdrop-filter: blur(5px);
    /* darken the background */
    margin: 0;
    /* enter animation */
    animation: fadeIn 1.5s ease-in-out;
  }

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.card {
    background-color: #fff;
    border-radius: 12px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.08);
    padding: 2.6rem;
    width: 90%;
    max-width: 700px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-image {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    overflow: hidden;
    margin-bottom: 0;
}

.card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.card-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 8px;
}

.card-name {
    font-size: 2.6rem;
    margin-bottom: 5px;
    font-weight: bold;
    color: #333;
    line-height: 1.1;
    text-align: center;
}

.card-title {
    font-size: 1.6rem;
    color: #555;
    text-wrap: balance;
    margin-bottom: 15px;
    text-align: center;
}

.social-icons {
    display: flex;
    gap: 15px; /* Increased gap */
    margin-bottom: 15px;
}

.social-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px; /* Increased size */
    height: 50px; /* Increased size */
    border: 1px solid #ccc;
    border-radius: 4px;
    color: #333;
    font-size: 1.2rem; /* Increased icon size */
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}
.social-icon:hover {
    background-color: #f0f0f0;
}

.card-description {
    font-size: 1.3rem;
    color: #444;
    line-height: 1.5;
    text-align: center;
    margin-bottom: 20px;
    padding: 0 15px; /* Added horizontal padding for description */
}

.action-button {
    background-color: #222;
    color: #fff;
    border: none;
    border-radius: 6px;
    font-size: 1.1rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    font-weight: bold;
    text-decoration: none;
    padding: 12px 24px;
    transition: all 0.3s ease-in-out;
}
.action-button:hover {
    background-color: #333;
}

.button-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}
